Foxit PDF SDK

Public Member Functions | List of all members
com.foxit.sdk.common.fxcrt.UInt32Array Class Reference

An array of unsigned integer values. More...

Inheritance diagram for com.foxit.sdk.common.fxcrt.UInt32Array:

## Public Member Functions
boolean | add (long newElement)
| Add an element at the tail. Potentially growing the array. More...
int | find (long data, int iStart)
| Find an element from specified position to last. More...
long | getAt (int nIndex)
| This method retrieves an element specified by an index number. More...
int | getSize ()
| Get the number of elements in the array. More...
int | getUpperBound ()
| Get the upper bound in the array, actually the maximum valid index. More...
void | removeAll ()
| Clean up the array. More...
boolean | removeAt (int nIndex, int nCount)
| Remove a number of elements at specified position. More...
boolean | setAt (int nIndex, long newElement)
| This method overwrites an element specified by an index number. More...
boolean | setAtGrow (int nIndex, long newElement)
| Set an element value at specified position. Potentially growing the array. More...
boolean | setSize (int nNewSize, int nGrowBy)
| Change the allocated size and the grow amount. More...

## Detailed Description

An array of unsigned integer values.

## Member Function Documentation

## ◆ add()

boolean com.foxit.sdk.common.fxcrt.UInt32Array.add | ( | long | newElement | ) |

Add an element at the tail. Potentially growing the array.

Parameters

  [in] | newElement | The input element.

Returns
  true means success, while false means failure (such as memory error).

## ◆ find()

int com.foxit.sdk.common.fxcrt.UInt32Array.find | ( | long | data,
|  | int | iStart
| ) |  |

Find an element from specified position to last.

Parameters

  [in] | data | The input element.
  [in] | iStart | Specifies the zero-based index of start element to find.

Returns
  An index of the found element. -1 means found none.

## ◆ getAt()

long com.foxit.sdk.common.fxcrt.UInt32Array.getAt | ( | int | nIndex | ) |

This method retrieves an element specified by an index number.

Parameters

  [in] | nIndex | Specifies the zero-based index of the element.

Returns
  An element.

## ◆ getSize()

int com.foxit.sdk.common.fxcrt.UInt32Array.getSize | ( |  | ) |

Get the number of elements in the array.

Returns
  The number of elements in the array.

## ◆ getUpperBound()

int com.foxit.sdk.common.fxcrt.UInt32Array.getUpperBound | ( |  | ) |

Get the upper bound in the array, actually the maximum valid index.

Returns
  The upper bound.

## ◆ removeAll()

void com.foxit.sdk.common.fxcrt.UInt32Array.removeAll | ( |  | ) |

Clean up the array.

Returns
  None.

## ◆ removeAt()

boolean com.foxit.sdk.common.fxcrt.UInt32Array.removeAt | ( | int | nIndex,
|  | int | nCount
| ) |  |

Remove a number of elements at specified position.

Parameters

  [in] | nIndex | Specifies the zero-based index in the array.
  [in] | nCount | Specifies the count of element to remove.

Returns
  true means success, while false means failure (such as parameter or memory error).

## ◆ setAt()

boolean com.foxit.sdk.common.fxcrt.UInt32Array.setAt | ( | int | nIndex,
|  | long | newElement
| ) |  |

This method overwrites an element specified by an index number.

Parameters

  [in] | nIndex | Specifies the zero-based index of the element.
  [in] | newElement | An element.

Returns
  true means success, while false means failure.

## ◆ setAtGrow()

boolean com.foxit.sdk.common.fxcrt.UInt32Array.setAtGrow | ( | int | nIndex,
|  | long | newElement
| ) |  |

Set an element value at specified position. Potentially growing the array.

Parameters

  [in] | nIndex | Specifies the zero-based index of element in the array.
  [in] | newElement | The input element.

Returns
  true means success, while false means failure.

## ◆ setSize()

boolean com.foxit.sdk.common.fxcrt.UInt32Array.setSize | ( | int | nNewSize,
|  | int | nGrowBy
| ) |  |

Change the allocated size and the grow amount.

Parameters

  [in] | nNewSize | The new size in elements expected.
  [in] | nGrowBy | The grow amount in elements expected. This can be -1 for the grow amount unchanged.

Returns
  true means success, while false means failure (such as parameter or memory error).